/********************************************************************
* DhcTreeDict.h
* CAUTION: DON'T CHANGE THIS FILE. THIS FILE IS AUTOMATICALLY GENERATED
*          FROM HEADER FILES LISTED IN G__setup_cpp_environmentXXX().
*          CHANGE THOSE HEADER FILES AND REGENERATE THIS FILE.
********************************************************************/
#ifdef __CINT__
#error DhcTreeDict.h/C is only for compilation. Abort cint.
#endif
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#define G__ANSIHEADER
#define G__DICTIONARY
#define G__PRIVATE_GVALUE
#include "G__ci.h"
#include "FastAllocString.h"
extern "C" {
extern void G__cpp_setup_tagtableDhcTreeDict();
extern void G__cpp_setup_inheritanceDhcTreeDict();
extern void G__cpp_setup_typetableDhcTreeDict();
extern void G__cpp_setup_memvarDhcTreeDict();
extern void G__cpp_setup_globalDhcTreeDict();
extern void G__cpp_setup_memfuncDhcTreeDict();
extern void G__cpp_setup_funcDhcTreeDict();
extern void G__set_cpp_environmentDhcTreeDict();
}


#include "TObject.h"
#include "TMemberInspector.h"
#include "DhcCluster.hh"
#include "DhcClustering.hh"
#include "DhcEvent.hh"
#include "DhcHit.hh"
#include "WireChamberHit.hh"
#include <algorithm>
namespace std { }
using namespace std;

#ifndef G__MEMFUNCBODY
#endif

extern G__linked_taginfo G__DhcTreeDictLN_TClass;
extern G__linked_taginfo G__DhcTreeDictLN_TBuffer;
extern G__linked_taginfo G__DhcTreeDictLN_TMemberInspector;
extern G__linked_taginfo G__DhcTreeDictLN_TObject;
extern G__linked_taginfo G__DhcTreeDictLN_string;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_reverse_iteratorlEvectorlEROOTcLcLTSchemaHelpercOallocatorlEROOTcLcLTSchemaHelpergRsPgRcLcLiteratorgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_reverse_iteratorlEvectorlETVirtualArraymUcOallocatorlETVirtualArraymUgRsPgRcLcLiteratorgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTBaselEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTBaselEdoublegR;
extern G__linked_taginfo G__DhcTreeDictLN_TVectorTlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TVectorTlEdoublegR;
extern G__linked_taginfo G__DhcTreeDictLN_TElementActionTlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TElementPosActionTlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTRow_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTRowlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTDiag_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTColumn_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTFlat_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTSub_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTSparseRow_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTSparseDiag_constlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTColumnlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTDiaglEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTFlatlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTSublEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTSparseRowlEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TMatrixTSparseDiaglEfloatgR;
extern G__linked_taginfo G__DhcTreeDictLN_TVector3;
extern G__linked_taginfo G__DhcTreeDictLN_DhcHit;
extern G__linked_taginfo G__DhcTreeDictLN_lesslEintgR;
extern G__linked_taginfo G__DhcTreeDictLN_DhcCluster;
extern G__linked_taginfo G__DhcTreeDictLN_lesslEconstsPDhcHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEconstsPDhcHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_setlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcLcLreverse_iterator;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcLcLiteratorcOboolgR;
extern G__linked_taginfo G__DhcTreeDictLN_iteratorlEbidirectional_iterator_tagcOTObjectmUcOlongcOconstsPTObjectmUmUcOconstsPTObjectmUaNgR;
extern G__linked_taginfo G__DhcTreeDictLN_TBits;
extern G__linked_taginfo G__DhcTreeDictLN_TTimeStamp;
extern G__linked_taginfo G__DhcTreeDictLN_WireChamberHit;
extern G__linked_taginfo G__DhcTreeDictLN_DhcEventHeader;
extern G__linked_taginfo G__DhcTreeDictLN_DhcEvent;
extern G__linked_taginfo G__DhcTreeDictLN_lesslEconstsPWireChamberHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEconstsPWireChamberHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEconstsPWireChamberHitmUcOlesslEconstsPWireChamberHitmUgRcOallocatorlEconstsPWireChamberHitmUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEconstsPWireChamberHitmUcOlesslEconstsPWireChamberHitmUgRcOallocatorlEconstsPWireChamberHitmUgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_setlEconstsPWireChamberHitmUcOlesslEconstsPWireChamberHitmUgRcOallocatorlEconstsPWireChamberHitmUgRsPgRcLcLreverse_iterator;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEsetlEconstsPWireChamberHitmUcOlesslEconstsPWireChamberHitmUgRcOallocatorlEconstsPWireChamberHitmUgRsPgRcLcLiteratorcOboolgR;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_maplEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_maplEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_maplEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRsPgRcLcLreverse_iterator;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEmaplEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRsPgRcLcLiteratorcOboolgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEDhcClustercOallocatorlEDhcClustergRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEDhcClustercOallocatorlEDhcClustergRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_reverse_iteratorlEvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcLcLiteratorgR;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_maplEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_maplEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_maplEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgRsPgRcLcLreverse_iterator;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEmaplEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgRsPgRcLcLiteratorcOboolgR;
extern G__linked_taginfo G__DhcTreeDictLN_DhcClustering;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEDhcHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEDhcHitmUcOallocatorlEDhcHitmUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEDhcHitmUcOallocatorlEDhcHitmUgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_reverse_iteratorlEvectorlEDhcHitmUcOallocatorlEDhcHitmUgRsPgRcLcLiteratorgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_vectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_reverse_iteratorlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRcLcLiteratorgR;
extern G__linked_taginfo G__DhcTreeDictLN_lesslEDhcHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEDhcHitmUcOlesslEDhcHitmUgRcOallocatorlEDhcHitmUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEDhcHitmUcOlesslEDhcHitmUgRcOallocatorlEDhcHitmUgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_setlEDhcHitmUcOlesslEDhcHitmUgRcOallocatorlEDhcHitmUgRsPgRcLcLreverse_iterator;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEsetlEDhcHitmUcOlesslEDhcHitmUgRcOallocatorlEDhcHitmUgRsPgRcLcLiteratorcOboolgR;
extern G__linked_taginfo G__DhcTreeDictLN_lesslEWireChamberHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEWireChamberHitmUgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEWireChamberHitmUcOlesslEWireChamberHitmUgRcOallocatorlEWireChamberHitmUgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_setlEWireChamberHitmUcOlesslEWireChamberHitmUgRcOallocatorlEWireChamberHitmUgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_setlEWireChamberHitmUcOlesslEWireChamberHitmUgRcOallocatorlEWireChamberHitmUgRsPgRcLcLreverse_iterator;
extern G__linked_taginfo G__DhcTreeDictLN_pairlEsetlEWireChamberHitmUcOlesslEWireChamberHitmUgRcOallocatorlEWireChamberHitmUgRsPgRcLcLiteratorcOboolgR;
extern G__linked_taginfo G__DhcTreeDictLN_allocatorlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_listlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRcOallocatorlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgR;
extern G__linked_taginfo G__DhcTreeDictLN_listlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRcOallocatorlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRcLcLiterator;
extern G__linked_taginfo G__DhcTreeDictLN_listlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRcOallocatorlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRcLcLreverse_iterator;

/* STUB derived class for protected member access */
typedef set<const DhcHit*,less<const DhcHit*>,allocator<const DhcHit*> > G__setlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgR;
typedef set<const WireChamberHit*,less<const WireChamberHit*>,allocator<const WireChamberHit*> > G__setlEconstsPWireChamberHitmUcOlesslEconstsPWireChamberHitmUgRcOallocatorlEconstsPWireChamberHitmUgRsPgR;
typedef map<int,set<const DhcHit*,less<const DhcHit*>,allocator<const DhcHit*> >,less<int>,allocator<pair<const int,set<const DhcHit*,less<const DhcHit*>,allocator<const DhcHit*> > > > > G__maplEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRsPgR;
typedef pair<int,set<const DhcHit*,less<const DhcHit*>,allocator<const DhcHit*> > > G__pairlEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgR;
typedef map<int,set<const DhcHit*,less<const DhcHit*>,allocator<const DhcHit*> >,less<int>,allocator<pair<const int,set<const DhcHit*,less<const DhcHit*>,allocator<const DhcHit*> > > > >::iterator G__maplEintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOsetlEconstsPDhcHitmUcOlesslEconstsPDhcHitmUgRcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgRsPgRcLcLiterator;
typedef vector<DhcCluster,allocator<DhcCluster> > G__vectorlEDhcClustercOallocatorlEDhcClustergRsPgR;
typedef map<int,vector<DhcCluster,allocator<DhcCluster> >,less<int>,allocator<pair<const int,vector<DhcCluster,allocator<DhcCluster> > > > > G__maplEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgRsPgR;
typedef pair<int,vector<DhcCluster,allocator<DhcCluster> > > G__pairlEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgR;
typedef map<int,vector<DhcCluster,allocator<DhcCluster> >,less<int>,allocator<pair<const int,vector<DhcCluster,allocator<DhcCluster> > > > >::iterator G__maplEintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRcOlesslEintgRcOallocatorlEpairlEconstsPintcOvectorlEDhcClustercOallocatorlEDhcClustergRsPgRsPgRsPgRsPgRcLcLiterator;
typedef vector<DhcHit*,allocator<DhcHit*> > G__vectorlEDhcHitmUcOallocatorlEDhcHitmUgRsPgR;
typedef vector<const DhcHit*,allocator<const DhcHit*> > G__vectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgR;
typedef set<DhcHit*,less<DhcHit*>,allocator<DhcHit*> > G__setlEDhcHitmUcOlesslEDhcHitmUgRcOallocatorlEDhcHitmUgRsPgR;
typedef set<WireChamberHit*,less<WireChamberHit*>,allocator<WireChamberHit*> > G__setlEWireChamberHitmUcOlesslEWireChamberHitmUgRcOallocatorlEWireChamberHitmUgRsPgR;
typedef list<vector<const DhcHit*,allocator<const DhcHit*> >,allocator<vector<const DhcHit*,allocator<const DhcHit*> > > > G__listlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRcOallocatorlEvectorlEconstsPDhcHitmUcOallocatorlEconstsPDhcHitmUgRsPgRsPgRsPgR;
